Subject: bug#14598: 24.3; global-hl-line-mode + text-scale-adjust + next-line + scrolling

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Jun 2013 15:45:04 +0300

> Date: Sat, 15 Jun 2013 13:10:22 +0100
> From: E Sabof <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > I have no opinion on that.  In my experience, arguing about defaults
> > is a waste of time.  Please note, however, that Emacs can display
> > images in any mode, so I wouldn't know how to identify the "modes that
> > use images".
> >
> 
> One way to do it would be for modes to identify themselves, by setting
> auto-window-vscroll to t.

Then every mode will need to do that.

> A perhaps better approach might be to make auto-window-vscroll only act on
> lines significantly larger than default height (x4?), and not on any line
> with a non-standard height.

You need to consider the window height as well (or only that), not
just the default font size.  And if we go that way, I'd argue that
vscroll should be used regardless of the value of auto-window-vscroll.